# 上传单条数据


## 修改历史


## 接口定义

    /v1/upload_vision_data			正测
	/v1/upload_vision_data/repeat   复测
    POST

## Request

API请求参数

### Head

    X-DeviceInformation  {String}       设备信息, 格式为: {osVersion}/{appVersion}/{deviceSN}/{orgID}/{campID}/{campID}
    X-Sign               {String}       rsa(timestamp_userId) 加密

### Form Parameters

    dataId          {String}    唯一ID ，由Android端生成
	planId			{int}		计划ID
    studentId       {int}       学生ID
    leftEye         {float}     左眼视力 3.8-5.3
    rightEye        {float}     右眼视力 3.8-5.3
    leftOffset      {int}       错误个数
    rightOffset     {int}       错误个数
    distance        {int}       3米或5米
    isNaked         {int}       1：裸眼测试 0：带镜测试  
    testTime        {int}
    classId         {int}       班级ID
    testRule        {int}       E标：0:国标 1:快速 2:极速 C标：0海航标准

## Response


### Example

**Command**

    curl -X POST \
    	    -H "X-DeviceInformation: 11%2f22%2f141" \
            -H "X-Sign: mCNfxI/TgBt9K63KJ/cMcW2SgjJuQhmpiyUsSIVncfrI7XgukTBX8mqB5zZZ4Zmid2Elb0NbeUEmPanSMkWMENzLu0hbFQQhN9FaOsCNAK0wBmOgZ0PW0/jCqi7m4yC0wcxRlkbefob7nB76ri5j2wvB0Qi4Js8UPUl77eegs9A=" \
           -d 'dataId=1DE5CAAA-DB46-419A-8162-EC853DAEA5CF&studentId=549&leftEye=1.0&rightEye=1.2&addType=0&distance=3&testTime=1560426091&classId=111111' \
       http://localhost:8080/v1/upload_vision_data

**Output**

    {
      "errno": 200,
      "msg": "success"
    }