# 获取学生信息

## 修改记录


## 接口定义

    /v1/sync_visions
    GET

## Request

API请求参数

### Head

     X-DeviceInformation  {String}       设备信息, 格式为: {osVersion}/{appVersion}/{deviceSN}/{orgID}/{campID}
     X-Sign               {String}       rsa(timestamp_userId) 加密

### Form Parameters

 lastSyncTime           {String} 关键字，学号或姓名
 limit                    {int}    默认：20

## Response


### Example


**Command**

curl -X GET \
	-H "X-DeviceInformation: 11%2f22%2f47" \
 	-H "X-Sign: Q9IXIXtjTZRWnyV1hnUDMoqjRc+AbV0BR1LOakKcaY32RAiUyuJ8riB9pFSKduWU+BcaJtNBEUxTdz1tMZSj6nnysGLiFsfki2x15nMmQVhN4HJw1M2CWUeEriLBlLVQTbs2YksrOdu8hVVlnWJlWNED+jZcQd74vrDb9zCgASU=" \
       http://localhost:8080/v1/sync_visions?lastSyncTime=1552012779

**Output**

{
    "data": [
        {
            "vid": 17352,
            "dataId": "1DE5CAAA-DB46-419A-8162-EC853DAEA5CF",
            "leftEye": 4,
            "rightEye": 4,
            "distance": 0,
            "testTime": 1552012800,
            "createTime": 1552012800
        },
        {
            "vid": 17353,
            "dataId": "1DE5CAAA-DB46-419A-8162-EC853DAEA5CG",
            "leftEye": 4,
            "rightEye": 4,
            "distance": 0,
            "testTime": 1552012833,
            "createTime": 1552012833
        },
        {
            "vid": 17354,
            "dataId": "1DE5CAAA-DB46-419A-8162-EC853DAEA5CE",
            "leftEye": 4,
            "rightEye": 4.4,
            "distance": 0,
            "testTime": 1552012875,
            "createTime": 1552012875
        },
        {
            "vid": 17355,
            "dataId": "1DE5CAAA-DB46-419A-8162-EC853DAEA5CH",
            "leftEye": 4,
            "rightEye": 4,
            "distance": 0,
            "testTime": 1552012913,
            "createTime": 1552012913
        }
    ],
    "errno": 200,
    "msg": "success"
}